Brivio API reference
Custom hostnames

The DNS records to publish: TXT ownership proof, CNAME target and Cloudflare DCV records (scope: sites:read)

GET
/custom-hostnames/{id}/dns-instructions

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Custom hostname id

Formatuuid

Response Body

OK

application/json
  1. response
data*
error*null
curl -X GET "https://example.com/custom-hostnames/497f6eca-6276-4993-bfeb-53cbbbba6f08/dns-instructions"
{  "data": {    "target": "store",    "status": "pending_verification",    "ssl_status": "none",    "txt": {      "host": "string",      "value": "string"    },    "cname": {      "host": "string",      "value": "string"    },    "dcv": [      {        "txt_name": "string",        "txt_value": "string",        "http_url": "string",        "http_body": "string"      }    ],    "cf": {      "hostname_status": "string",      "ssl_status": "string"    }  },  "error": null}